Name:           simspark
Version:        0.1
Release:        1%{?dist}
Summary:        Spark physical simulation system

Group:          Development/Libraries
License:        GPLv2
URL:            http://simspark.sourceforge.net
Source0:        http://downloads.sourceforge.net/simspark/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake gcc-c++ boost-devel ruby ruby-devel SDL-devel tex(latex)
BuildRequires:  ode-devel libGL-devel DevIL-devel freetype-devel libGLU-devel
BuildRequires:  ImageMagick
Requires:       ruby ruby(abi) = 1.8 dejavu-fonts-sans-mono 

%description
Spark is a physical simulation system. The primary purpose of this system is
to provide a *generic* simulator for different kinds of simulations.
In these simulations, agents can participate as external processes. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel ruby-devel ode-devel DevIL-devel
Requires:       libGL-devel libGLU-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_BUILD_TYPE=Release \
      -DLIBDIR=%{_libdir} ..
make %{?_smp_mflags}
make pdf
cp doc/devel/manual.pdf ../doc/devel/

%install
rm -rf %{buildroot}
make -C build install DESTDIR=%{buildroot}

ln -fs %{_datadir}/fonts/dejavu/DejaVuSansMono.ttf \
      %{buildroot}/%{_datadir}/%{name}/fonts/VeraMono.ttf
rm -rf %{buildroot}/%{_datadir}/%{name}/*.h

mkdir package_docs
mv %{buildroot}/%{_datadir}/doc/%{name}/* package_docs/
rm -rf %{buildroot}/%{_datadir}/doc

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc package_docs/*
%dir %{_libdir}/%{name}
# Notice: the package needs .so files for running so
# they can't be moved to -devel package
%{_libdir}/%{name}/[^l]*.so*
%{_libdir}/%{name}/lib*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/%{name}
%{_libdir}/%{name}/lib*.so
%doc doc/devel/howtos doc/devel/manual.pdf

%changelog
* Thu Feb 19 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1-1
- Some cleanup
- fixed package documentation installation
- added tex(latex) and ImageMagic as a build requirement

* Fri Feb 13 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1-1
- Initial version
